/*
 * Primer PWM-a za STM32L476RG napisan
 * koristeci mbed.h biblioteku koji koji demonstrira 
 * mogucnosti PwmOut objekta preko write atributa.
 *
 * Katedra za Elektroniku i digitalne sisteme
 * Elektrotehnicki fakultet
 * Beograd 
 *
 * Oktobar 2021.
 *
 */

/*
 * Biblioteke za uvoz:
 */
#include "mbed.h"

/*
 * Definisanje makroa:
 */
#define PWM_PERIOD 20
#define PWM_PULSE_WIDTH 0.5

/*
 * Globalne promenljive:
 */
PwmOut DiodicaNaPloci(LED1);    // Kreiranje promenljive diode

/*
 * Deklaracija funkcija:
 */
 
/*
 * Glavna funkcija:
 */
int main()
{
    // Inicijalizacija i funckije koje se jednom izvrsavaju:
    
    // Prvo se zada period treperenja diode, a potom trajanje impulsa:
    DiodicaNaPloci.period_ms(PWM_PERIOD);  // Period treperenja traje 4 sekunde
    DiodicaNaPloci.write(PWM_PULSE_WIDTH); // Dioda ukljucena tokom 2
    while (true);         // Izvrsavanje programa
}

/*
 * Definicija funkcija:
 */